%global momorel 1
%global ocamlver 3.10.2

%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           ocaml-ssl
Version:        0.4.2
Release:        %{momorel}m%{?dist}
Summary:        SSL bindings for OCaml

Group:          Development/Libraries
License:        LGPL
URL:            http://savonet.sourceforge.net/wiki/Savonet
Source0:        http://downloads.sourceforge.net/savonet/ocaml-ssl-%{version}.tar.gz
NoSource: 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ocaml >= %{ocamlver}
BuildRequires:  ocaml-findlib-devel, openssl-devel
BuildRequires:  gawk
Requires:       openssl

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh -i Unix -i UnixLabels

%description
SSL bindings for OCaml.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q
%configure --libdir=%{_libdir}


%build
make


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install

# Copy the examples to the docdir.
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}/examples
cp examples/*.ml $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}/examples


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING README
%{_libdir}/ocaml/ssl
%if %opt
%exclude %{_libdir}/ocaml/ssl/*.a
%exclude %{_libdir}/ocaml/ssl/*.cmxa
%endif
%exclude %{_libdir}/ocaml/ssl/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner


%files devel
%defattr(-,root,root,-)
%if %opt
%{_libdir}/ocaml/ssl/*.a
%{_libdir}/ocaml/ssl/*.cmxa
%endif
%{_libdir}/ocaml/ssl/*.mli
%{_docdir}/%{name}-devel-%{version}/


%changelog
* Tue May 20 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.2-1m)
- import from Fedora

* Wed Apr 23 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.2-9
- Rebuild for OCaml 3.10.2

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.2-8
- Rebuild for ppc64.

* Tue Feb 12 2008 Richard W.M. Jones <rjones@redhat.com> - 0.4.2-7
- Rebuild for OCaml 3.10.1.
- For some reason 'Unix' and 'UnixLabels' leak so ignore them.

* Wed Dec  5 2007 Richard W.M. Jones <rjones@redhat.com> - 0.4.2-6
- Force rebuild because of new libssl, libcrypto sonames.

* Thu Sep  6 2007 Richard W.M. Jones <rjones@redhat.com> - 0.4.2-5
- Force rebuild because of updated requires/provides scripts in OCaml.

* Thu Aug 30 2007 Richard W.M. Jones <rjones@redhat.com> - 0.4.2-4
- Force rebuild because of changed BRs in base OCaml.

* Wed Jul 25 2007 Richard W.M. Jones <rjones@redhat.com> - 0.4.2-3
- ExcludeArch ppc64

* Mon Jun 11 2007 Richard W.M. Jones <rjones@redhat.com> - 0.4.2-2
- Updated to latest packaging guidelines.

* Sat May 26 2007 Richard W.M. Jones <rjones@redhat.com> - 0.4.2-1
- Initial RPM.
